
------------------------------------------------
-- Modify the FRH_Vxx_VARIABLE tables
-- Defect S0638743
------------------------------------------------


------------------------------------------------
-- DDL Statements for table FRH_V00_VARIABLE
------------------------------------------------

DELETE FROM FRH_V00_VARIABLE;

ALTER TABLE FRH_V00_VARIABLE
    DROP PRIMARY KEY;

DROP INDEX AKX1_V00_VAR;
DROP INDEX NDX1_V00_VAR;
DROP INDEX PKX_V00_VAR;
    
ALTER TABLE FRH_V00_VARIABLE
	DROP COLUMN TRANSACTION_ID  
	DROP COLUMN SEGMENT_ID  
	ADD COLUMN  TXN_TAB_NAME CHAR(50) NOT NULL WITH DEFAULT ''
	ADD COLUMN  SEGMENT_KEY_FIELD_ID BIGINT NOT NULL WITH DEFAULT -1;
	
reorg table FRH_V00_VARIABLE;


-- DDL Statements for indexes on Table FRH_V00_VARIABLE

CREATE UNIQUE INDEX AKX1_V00_VAR ON FRH_V00_VARIABLE 
		(CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 USERVAR_FIELD_NAME ASC,
		 BUILD_ID ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V00_VARIABLE

CREATE INDEX NDX1_V00_VAR ON FRH_V00_VARIABLE 
		(USERVAR_FIELD_NAME ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC)
		PCTFREE 10 CLUSTER ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V00_VARIABLE

CREATE UNIQUE INDEX PKX_V00_VAR ON FRH_V00_VARIABLE 
		(RHX_CUST_KEY ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 SEGMENT_KEY_FIELD_ID ASC,
		 BUILD_ID ASC,
		 USERVAR_FIELD_NAME ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;
-- DDL Statements for primary key on Table FRH_V00_VARIABLE

ALTER TABLE FRH_V00_VARIABLE 
	ADD CONSTRAINT PKX_V00_VAR PRIMARY KEY
		(RHX_CUST_KEY,
		 CMX_TRAN_ID,
		 TXN_TAB_NAME,
		 SEGMENT_KEY_FIELD_ID,
		 BUILD_ID,
		 USERVAR_FIELD_NAME);

------------------------------------------------
-- DDL Statements for table FRH_V01_VARIABLE
------------------------------------------------

DELETE FROM FRH_V01_VARIABLE;

ALTER TABLE FRH_V01_VARIABLE
    DROP PRIMARY KEY;

DROP INDEX AKX1_V01_VAR;
DROP INDEX NDX1_V01_VAR;
DROP INDEX PKX_V01_VAR;
    
ALTER TABLE FRH_V01_VARIABLE
	DROP COLUMN TRANSACTION_ID  
	DROP COLUMN SEGMENT_ID  
	ADD COLUMN  TXN_TAB_NAME CHAR(50) NOT NULL WITH DEFAULT ''
	ADD COLUMN  SEGMENT_KEY_FIELD_ID BIGINT NOT NULL WITH DEFAULT -1;
	
reorg table FRH_V01_VARIABLE;


-- DDL Statements for indexes on Table FRH_V01_VARIABLE

CREATE UNIQUE INDEX AKX1_V01_VAR ON FRH_V01_VARIABLE 
		(CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 USERVAR_FIELD_NAME ASC,
		 BUILD_ID ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V01_VARIABLE

CREATE INDEX NDX1_V01_VAR ON FRH_V01_VARIABLE 
		(USERVAR_FIELD_NAME ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC)
		PCTFREE 10 CLUSTER ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V01_VARIABLE

CREATE UNIQUE INDEX PKX_V01_VAR ON FRH_V01_VARIABLE 
		(RHX_CUST_KEY ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 SEGMENT_KEY_FIELD_ID ASC,
		 BUILD_ID ASC,
		 USERVAR_FIELD_NAME ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;
-- DDL Statements for primary key on Table FRH_V01_VARIABLE

ALTER TABLE FRH_V01_VARIABLE 
	ADD CONSTRAINT PKX_V01_VAR PRIMARY KEY
		(RHX_CUST_KEY,
		 CMX_TRAN_ID,
		 TXN_TAB_NAME,
		 SEGMENT_KEY_FIELD_ID,
		 BUILD_ID,
		 USERVAR_FIELD_NAME);

------------------------------------------------
-- DDL Statements for table FRH_V02_VARIABLE
------------------------------------------------

DELETE FROM FRH_V02_VARIABLE;

ALTER TABLE FRH_V02_VARIABLE
    DROP PRIMARY KEY;

DROP INDEX AKX1_V02_VAR;
DROP INDEX NDX1_V02_VAR;
DROP INDEX PKX_V02_VAR;
    
ALTER TABLE FRH_V02_VARIABLE
	DROP COLUMN TRANSACTION_ID  
	DROP COLUMN SEGMENT_ID  
	ADD COLUMN  TXN_TAB_NAME CHAR(50) NOT NULL WITH DEFAULT ''
	ADD COLUMN  SEGMENT_KEY_FIELD_ID BIGINT NOT NULL WITH DEFAULT -1;
	
reorg table FRH_V02_VARIABLE;


-- DDL Statements for indexes on Table FRH_V02_VARIABLE

CREATE UNIQUE INDEX AKX1_V02_VAR ON FRH_V02_VARIABLE 
		(CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 USERVAR_FIELD_NAME ASC,
		 BUILD_ID ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V02_VARIABLE

CREATE INDEX NDX1_V02_VAR ON FRH_V02_VARIABLE 
		(USERVAR_FIELD_NAME ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC)
		PCTFREE 10 CLUSTER ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V02_VARIABLE

CREATE UNIQUE INDEX PKX_V02_VAR ON FRH_V02_VARIABLE 
		(RHX_CUST_KEY ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 SEGMENT_KEY_FIELD_ID ASC,
		 BUILD_ID ASC,
		 USERVAR_FIELD_NAME ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;
-- DDL Statements for primary key on Table FRH_V02_VARIABLE

ALTER TABLE FRH_V02_VARIABLE 
	ADD CONSTRAINT PKX_V02_VAR PRIMARY KEY
		(RHX_CUST_KEY,
		 CMX_TRAN_ID,
		 TXN_TAB_NAME,
		 SEGMENT_KEY_FIELD_ID,
		 BUILD_ID,
		 USERVAR_FIELD_NAME);

------------------------------------------------
-- DDL Statements for table FRH_V03_VARIABLE
------------------------------------------------

DELETE FROM FRH_V03_VARIABLE;

ALTER TABLE FRH_V03_VARIABLE
    DROP PRIMARY KEY;

DROP INDEX AKX1_V03_VAR;
DROP INDEX NDX1_V03_VAR;
DROP INDEX PKX_V03_VAR;
    
ALTER TABLE FRH_V03_VARIABLE
	DROP COLUMN TRANSACTION_ID  
	DROP COLUMN SEGMENT_ID  
	ADD COLUMN  TXN_TAB_NAME CHAR(50) NOT NULL WITH DEFAULT ''
	ADD COLUMN  SEGMENT_KEY_FIELD_ID BIGINT NOT NULL WITH DEFAULT -1;
	
reorg table FRH_V03_VARIABLE;


-- DDL Statements for indexes on Table FRH_V03_VARIABLE

CREATE UNIQUE INDEX AKX1_V03_VAR ON FRH_V03_VARIABLE 
		(CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 USERVAR_FIELD_NAME ASC,
		 BUILD_ID ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V03_VARIABLE

CREATE INDEX NDX1_V03_VAR ON FRH_V03_VARIABLE 
		(USERVAR_FIELD_NAME ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC)
		PCTFREE 10 CLUSTER ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V03_VARIABLE

CREATE UNIQUE INDEX PKX_V03_VAR ON FRH_V03_VARIABLE 
		(RHX_CUST_KEY ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 SEGMENT_KEY_FIELD_ID ASC,
		 BUILD_ID ASC,
		 USERVAR_FIELD_NAME ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;
-- DDL Statements for primary key on Table FRH_V03_VARIABLE

ALTER TABLE FRH_V03_VARIABLE 
	ADD CONSTRAINT PKX_V03_VAR PRIMARY KEY
		(RHX_CUST_KEY,
		 CMX_TRAN_ID,
		 TXN_TAB_NAME,
		 SEGMENT_KEY_FIELD_ID,
		 BUILD_ID,
		 USERVAR_FIELD_NAME);
		 
		 

------------------------------------------------
-- DDL Statements for table FRH_V04_VARIABLE
------------------------------------------------

DELETE FROM FRH_V04_VARIABLE;

ALTER TABLE FRH_V04_VARIABLE
    DROP PRIMARY KEY;

DROP INDEX AKX1_V04_VAR;
DROP INDEX NDX1_V04_VAR;
DROP INDEX PKX_V04_VAR;
    
ALTER TABLE FRH_V04_VARIABLE
	DROP COLUMN TRANSACTION_ID  
	DROP COLUMN SEGMENT_ID  
	ADD COLUMN  TXN_TAB_NAME CHAR(50) NOT NULL WITH DEFAULT ''
	ADD COLUMN  SEGMENT_KEY_FIELD_ID BIGINT NOT NULL WITH DEFAULT -1;
	
reorg table FRH_V04_VARIABLE;


-- DDL Statements for indexes on Table FRH_V04_VARIABLE

CREATE UNIQUE INDEX AKX1_V04_VAR ON FRH_V04_VARIABLE 
		(CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 USERVAR_FIELD_NAME ASC,
		 BUILD_ID ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V04_VARIABLE

CREATE INDEX NDX1_V04_VAR ON FRH_V04_VARIABLE 
		(USERVAR_FIELD_NAME ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC)
		PCTFREE 10 CLUSTER ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V04_VARIABLE

CREATE UNIQUE INDEX PKX_V04_VAR ON FRH_V04_VARIABLE 
		(RHX_CUST_KEY ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 SEGMENT_KEY_FIELD_ID ASC,
		 BUILD_ID ASC,
		 USERVAR_FIELD_NAME ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;
-- DDL Statements for primary key on Table FRH_V04_VARIABLE

ALTER TABLE FRH_V04_VARIABLE 
	ADD CONSTRAINT PKX_V04_VAR PRIMARY KEY
		(RHX_CUST_KEY,
		 CMX_TRAN_ID,
		 TXN_TAB_NAME,
		 SEGMENT_KEY_FIELD_ID,
		 BUILD_ID,
		 USERVAR_FIELD_NAME);

------------------------------------------------
-- DDL Statements for table FRH_V05_VARIABLE
------------------------------------------------

DELETE FROM FRH_V05_VARIABLE;

ALTER TABLE FRH_V05_VARIABLE
    DROP PRIMARY KEY;

DROP INDEX AKX1_V05_VAR;
DROP INDEX NDX1_V05_VAR;
DROP INDEX PKX_V05_VAR;
    
ALTER TABLE FRH_V05_VARIABLE
	DROP COLUMN TRANSACTION_ID  
	DROP COLUMN SEGMENT_ID  
	ADD COLUMN  TXN_TAB_NAME CHAR(50) NOT NULL WITH DEFAULT ''
	ADD COLUMN  SEGMENT_KEY_FIELD_ID BIGINT NOT NULL WITH DEFAULT -1;
	
reorg table FRH_V05_VARIABLE;


-- DDL Statements for indexes on Table FRH_V05_VARIABLE

CREATE UNIQUE INDEX AKX1_V05_VAR ON FRH_V05_VARIABLE 
		(CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 USERVAR_FIELD_NAME ASC,
		 BUILD_ID ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V05_VARIABLE

CREATE INDEX NDX1_V05_VAR ON FRH_V05_VARIABLE 
		(USERVAR_FIELD_NAME ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC)
		PCTFREE 10 CLUSTER ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V05_VARIABLE

CREATE UNIQUE INDEX PKX_V05_VAR ON FRH_V05_VARIABLE 
		(RHX_CUST_KEY ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 SEGMENT_KEY_FIELD_ID ASC,
		 BUILD_ID ASC,
		 USERVAR_FIELD_NAME ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;
-- DDL Statements for primary key on Table FRH_V05_VARIABLE

ALTER TABLE FRH_V05_VARIABLE 
	ADD CONSTRAINT PKX_V05_VAR PRIMARY KEY
		(RHX_CUST_KEY,
		 CMX_TRAN_ID,
		 TXN_TAB_NAME,
		 SEGMENT_KEY_FIELD_ID,
		 BUILD_ID,
		 USERVAR_FIELD_NAME);

------------------------------------------------
-- DDL Statements for table FRH_V06_VARIABLE
------------------------------------------------

DELETE FROM FRH_V06_VARIABLE;

ALTER TABLE FRH_V06_VARIABLE
    DROP PRIMARY KEY;

DROP INDEX AKX1_V06_VAR;
DROP INDEX NDX1_V06_VAR;
DROP INDEX PKX_V06_VAR;
    
ALTER TABLE FRH_V06_VARIABLE
	DROP COLUMN TRANSACTION_ID  
	DROP COLUMN SEGMENT_ID  
	ADD COLUMN  TXN_TAB_NAME CHAR(50) NOT NULL WITH DEFAULT ''
	ADD COLUMN  SEGMENT_KEY_FIELD_ID BIGINT NOT NULL WITH DEFAULT -1;
	
reorg table FRH_V06_VARIABLE;


-- DDL Statements for indexes on Table FRH_V06_VARIABLE

CREATE UNIQUE INDEX AKX1_V06_VAR ON FRH_V06_VARIABLE 
		(CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 USERVAR_FIELD_NAME ASC,
		 BUILD_ID ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V06_VARIABLE

CREATE INDEX NDX1_V06_VAR ON FRH_V06_VARIABLE 
		(USERVAR_FIELD_NAME ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC)
		PCTFREE 10 CLUSTER ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V06_VARIABLE

CREATE UNIQUE INDEX PKX_V06_VAR ON FRH_V06_VARIABLE 
		(RHX_CUST_KEY ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 SEGMENT_KEY_FIELD_ID ASC,
		 BUILD_ID ASC,
		 USERVAR_FIELD_NAME ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;
-- DDL Statements for primary key on Table FRH_V06_VARIABLE

ALTER TABLE FRH_V06_VARIABLE 
	ADD CONSTRAINT PKX_V06_VAR PRIMARY KEY
		(RHX_CUST_KEY,
		 CMX_TRAN_ID,
		 TXN_TAB_NAME,
		 SEGMENT_KEY_FIELD_ID,
		 BUILD_ID,
		 USERVAR_FIELD_NAME);

------------------------------------------------
-- DDL Statements for table FRH_V07_VARIABLE
------------------------------------------------

DELETE FROM FRH_V07_VARIABLE;

ALTER TABLE FRH_V07_VARIABLE
    DROP PRIMARY KEY;

DROP INDEX AKX1_V07_VAR;
DROP INDEX NDX1_V07_VAR;
DROP INDEX PKX_V07_VAR;
    
ALTER TABLE FRH_V07_VARIABLE
	DROP COLUMN TRANSACTION_ID  
	DROP COLUMN SEGMENT_ID  
	ADD COLUMN  TXN_TAB_NAME CHAR(50) NOT NULL WITH DEFAULT ''
	ADD COLUMN  SEGMENT_KEY_FIELD_ID BIGINT NOT NULL WITH DEFAULT -1;
	
reorg table FRH_V07_VARIABLE;


-- DDL Statements for indexes on Table FRH_V07_VARIABLE

CREATE UNIQUE INDEX AKX1_V07_VAR ON FRH_V07_VARIABLE 
		(CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 USERVAR_FIELD_NAME ASC,
		 BUILD_ID ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V07_VARIABLE

CREATE INDEX NDX1_V07_VAR ON FRH_V07_VARIABLE 
		(USERVAR_FIELD_NAME ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC)
		PCTFREE 10 CLUSTER ALLOW REVERSE SCANS;

-- DDL Statements for indexes on Table FRH_V07_VARIABLE

CREATE UNIQUE INDEX PKX_V07_VAR ON FRH_V07_VARIABLE 
		(RHX_CUST_KEY ASC,
		 CMX_TRAN_ID ASC,
		 TXN_TAB_NAME ASC,
		 SEGMENT_KEY_FIELD_ID ASC,
		 BUILD_ID ASC,
		 USERVAR_FIELD_NAME ASC)
		PCTFREE 10 ALLOW REVERSE SCANS;
-- DDL Statements for primary key on Table FRH_V07_VARIABLE

ALTER TABLE FRH_V07_VARIABLE 
	ADD CONSTRAINT PKX_V07_VAR PRIMARY KEY
		(RHX_CUST_KEY,
		 CMX_TRAN_ID,
		 TXN_TAB_NAME,
		 SEGMENT_KEY_FIELD_ID,
		 BUILD_ID,
		 USERVAR_FIELD_NAME);		 